//
//  Grid.swift
//  SwiftUIExample
//
//  Created by Hiroki Kato on 2021/01/04.
//

import SwiftUI

struct Grid: View {
    @State var elements = Array(1...100).map(Element.init)

    var body: some View {
        let columns = [
            GridItem(.fixed(40)),
            GridItem(.flexible(minimum: 40)),
        ]
        ScrollView {
            LazyVGrid(columns: columns) {
                ForEach(elements) { element in
                    Text("\(element.value)")
                }
            }
        }
    }
}

struct Grid_Previews: PreviewProvider {
    static var previews: some View {
        Grid()
    }
}
