//
//  RoundedCornerText.swift
//  SwiftUIExample
//
//  Created by Hiroki Kato on 2021/01/04.
//

import SwiftUI
import DeveloperToolsSupport

struct RoundedCornerText<S>: View where S: StringProtocol {
    let content: S
    var body: some View {
        Text(content)
            .padding(8)
            .overlay(
                RoundedRectangle(cornerRadius: 16)
                    .stroke(Color.black, lineWidth: 2)
            )
    }
}

struct RoundedCornerText_LibraryContent: LibraryContentProvider {
  var views: [LibraryItem] {
    LibraryItem(
      RoundedCornerText(content: "Text"),
      title: "Rounded Corner Text",
      category: .control
    )
  }
}

struct RoundedCornerText_Previews: PreviewProvider {
    static var previews: some View {
        RoundedCornerText(content: "Hello, World!")
    }
}
