//
//  SidebarSwiftUI.swift
//  Sidebars
//
//  Created by Kouki Saito on 2020/12/20.
//

import SwiftUI

struct SidebarSwiftUI: View {
    var body: some View {
        NavigationView {
            Sidebar()
            Detail(content: "No content")
        }
    }
}

struct Item: Identifiable {
    let id: UUID = UUID()
    let title: String
}

struct Sidebar: View {
    let items = [
        Item(title: "First"),
        Item(title: "Second"),
        Item(title: "Third"),
    ]

    var body: some View {
        List(items) { item in
            NavigationLink(
                destination: Detail(content: item.title)
            ) {
                Text(item.title).font(.headline)
            }
        }.listStyle(SidebarListStyle())
    }
}

struct Detail: View {
    let content: String
    var body: some View {
        Text(content)
    }
}

struct SidebarSwiftUI_Previews: PreviewProvider {
    static var previews: some View {
        SidebarSwiftUI()
    }
}
